// onewireRomCommands.c
#include "onewireHEAD.h"
#include "essential_RomCommandsHEAD.h"	 
#include "SearchRomHEAD.h" 

unsigned char FoundROM[NUM_OF_ROMCODES][8];



//--------------------------------------------------------------------------
// Selects the OW-Device with exactly this Rom-Code for Function-Command.
//
void OWMatchRom(unsigned char ROMCODE[8]){
	unsigned char i;
	OWReset();
	OWWriteByte(0x55); // Match-Rom-Command
	for (i=0;i<8;i++) OWWriteByte(ROMCODE[i]);
}


//--------------------------------------------------------------------------
// Find all present devices.
// Return value  : number of present devices
//
unsigned char OWFindAll(){
	unsigned char numDev, rslt, i, j; 

	numDev=0;
	rslt = OWFirst() & OWVerify();

	while (rslt)
	{
	  numDev++;
     rslt = OWNext() & OWVerify();
	}	 
	return rslt;


}

/*
	// reset search-state (no found roms)
	for (i = 0; i < NUM_OF_ROMCODES; i++)
	{
		for (j = 0; j < 8; j++) FoundROM[i][j] = 0;
	}
  	
	numDev=0;
	// begin search
	rslt = OWFirst();
//	if (!OWVerify()) rslt = OWVerify(); // Try to verify presence of ROM_NO; after 2 failed attempts resign

	while (rslt)
	{				 
//	numDev=5;
	for (i = 0; i<8; i++)
	{	// Store found ROM-number of ROM_NO-buffer in FoundROM
			FoundROM[numDev][i] = ROM_NO[i];
	}
		numDev++;
		rslt = OWNext();
//		if (!OWVerify()) rslt = OWVerify();
	}
	return numDev;
}


*/


/*
void ReadRom(void){
	unsigned char i;

SendByte(0x33);
for(i=0;i<8;i++) FoundROM[0][i]=ReadByte();
}

*/